package admin

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type RegionRouter struct{}

func (rr *RegionRouter) InitRegionRouter(Router *gin.RouterGroup) {
	regionRouter := Router.Group("region").Use(middleware.OperationRecord())
	regionRouterWithoutRecord := Router.Group("region")
	regionRouterApi := v1.ApiGroupApp.AdminApiGroup.RegionApi
	{
		regionRouter.POST("createRegion", regionRouterApi.CreateRegion)
		regionRouter.PUT("updateRegion", regionRouterApi.UpdateRegion)
		regionRouter.DELETE("deleteRegion", regionRouterApi.DeleteRegion)
	}
	{
		regionRouterWithoutRecord.GET("queryAllRegions", regionRouterApi.QueryAllRegions)
	}
}
